Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_Factory Class Reference

Abstract factory for the CosEventChannel components. More...

`#include <CEC_Factory.h>`

Inheritance diagram for TAO_CEC_Factory

[legend]
Collaboration diagram for TAO_CEC_Factory:

[legend]
List of all members.

## Public Methods
virtual | ~TAO_CEC_Factory (void)
| destructor...
virtual TAO_CEC_Dispatching* | create_dispatching (TAO_CEC_EventChannel*) = 0
| Create and destroy the dispatching module.
virtual void | destroy_dispatching (TAO_CEC_Dispatching*) = 0
virtual TAO_CEC_Pulling_Strategy* | create_pulling_strategy (TAO_CEC_EventChannel*) = 0
| Create and destroy the pulling strategy.
virtual void | destroy_pulling_strategy (TAO_CEC_Pulling_Strategy*) = 0
virtual TAO_CEC_ConsumerAdmin* | create_consumer_admin (TAO_CEC_EventChannel*) = 0
| Create and destroy the consumer admin implementation.
virtual void | destroy_consumer_admin (TAO_CEC_ConsumerAdmin*) = 0
virtual TAO_CEC_SupplierAdmin* | create_supplier_admin (TAO_CEC_EventChannel*) = 0
| Create and destroy the supplier admin implementation.
virtual void | destroy_supplier_admin (TAO_CEC_SupplierAdmin*) = 0
virtual TAO_CEC_ProxyPushSupplier* | create_proxy_push_supplier (TAO_CEC_EventChannel*) = 0
| Create and destroy a ProxyPushSupplier.
virtual void | destroy_proxy_push_supplier (TAO_CEC_ProxyPushSupplier*) = 0
virtual TAO_CEC_ProxyPullSupplier* | create_proxy_pull_supplier (TAO_CEC_EventChannel*) = 0
| Create and destroy a ProxyPullSupplier.
virtual void | destroy_proxy_pull_supplier (TAO_CEC_ProxyPullSupplier*) = 0
virtual TAO_CEC_ProxyPushConsumer* | create_proxy_push_consumer (TAO_CEC_EventChannel*) = 0
| Create and destroy a ProxyPushConsumer.
virtual void | destroy_proxy_push_consumer (TAO_CEC_ProxyPushConsumer*) = 0
virtual TAO_CEC_ProxyPullConsumer* | create_proxy_pull_consumer (TAO_CEC_EventChannel*) = 0
| Create and destroy a ProxyPullConsumer.
virtual void | destroy_proxy_pull_consumer (TAO_CEC_ProxyPullConsumer*) = 0
virtual TAO_CEC_ProxyPushConsumer_Collection* | create_proxy_push_consumer_collection (TAO_CEC_EventChannel*) = 0
| Create and destroy a collection of TAO_CEC_ProxyPushConsumers.
virtual void | destroy_proxy_push_consumer_collection (TAO_CEC_ProxyPushConsumer_Collection*) = 0
virtual TAO_CEC_ProxyPullConsumer_Collection* | create_proxy_pull_consumer_collection (TAO_CEC_EventChannel*) = 0
| Create and destroy a collection of TAO_CEC_ProxyPullConsumers.
virtual void | destroy_proxy_pull_consumer_collection (TAO_CEC_ProxyPullConsumer_Collection*) = 0
virtual TAO_CEC_ProxyPushSupplier_Collection* | create_proxy_push_supplier_collection (TAO_CEC_EventChannel*) = 0
| Create and destroy a collection of TAO_CEC_ProxyPushSuppliers.
virtual void | destroy_proxy_push_supplier_collection (TAO_CEC_ProxyPushSupplier_Collection*) = 0
virtual TAO_CEC_ProxyPullSupplier_Collection* | create_proxy_pull_supplier_collection (TAO_CEC_EventChannel*) = 0
| Create and destroy a collection of TAO_CEC_ProxyPullSuppliers.
virtual void | destroy_proxy_pull_supplier_collection (TAO_CEC_ProxyPullSupplier_Collection*) = 0
virtual ACE_Lock* | create_consumer_lock (void) = 0
| Create and destroy the locking strategies for both ProxyPushConsumers and ProxyPushSuppliers.
virtual void | destroy_consumer_lock (ACE_Lock*) = 0
virtual ACE_Lock* | create_supplier_lock (void) = 0
virtual void | destroy_supplier_lock (ACE_Lock*) = 0
virtual TAO_CEC_ConsumerControl* | create_consumer_control (TAO_CEC_EventChannel*) = 0
| The ConsumerControl and SupplierControl strategies are used to discard non-existent consumers and suppliers.
virtual void | destroy_consumer_control (TAO_CEC_ConsumerControl*) = 0
virtual TAO_CEC_SupplierControl* | create_supplier_control (TAO_CEC_EventChannel*) = 0
virtual void | destroy_supplier_control (TAO_CEC_SupplierControl*) = 0

## Detailed Description

Abstract factory for the CosEventChannel components.

The CosEventChannel implementation can be configured at initialization time through several strategies and components. This class defines the interface of an Abstract Factory that creates all such components. = MEMORY MANAGMENT The objects it creates are owned by this class, the client must invoke the corresponding destroy() method to release them. Some implementations may require a different instance for the CEC_Factory for each instance of a CEC_EventChannel.

## Constructor & Destructor Documentation

TAO_CEC_Factory::~TAO_CEC_Factory ( | void )`[inline, virtual]`

| destructor...

## Member Function Documentation

TAO_CEC_ConsumerAdmin * TAO_CEC_Factory::create_consumer_admin ( | TAO_CEC_EventChannel * ec )`[pure virtual]`

| Create and destroy the consumer admin implementation. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_ConsumerControl * TAO_CEC_Factory::create_consumer_control ( | TAO_CEC_EventChannel * ec )`[pure virtual]`

| The ConsumerControl and SupplierControl strategies are used to discard non-existent consumers and suppliers. Reimplemented in TAO_CEC_Default_Factory.

ACE_Lock * TAO_CEC_Factory::create_consumer_lock ( | void )`[pure virtual]`

| Create and destroy the locking strategies for both ProxyPushConsumers and ProxyPushSuppliers. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_Dispatching * TAO_CEC_Factory::create_dispatching ( | TAO_CEC_EventChannel * )`[pure virtual]`

| Create and destroy the dispatching module. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_ProxyPullConsumer * TAO_CEC_Factory::create_proxy_pull_consumer ( | TAO_CEC_EventChannel * ec )`[pure virtual]`

| Create and destroy a ProxyPullConsumer. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_ProxyPullConsumer_Collection * TAO_CEC_Factory::create_proxy_pull_consumer_collection ( | TAO_CEC_EventChannel * )`[pure virtual]`

| Create and destroy a collection of TAO_CEC_ProxyPullConsumers. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_ProxyPullSupplier * TAO_CEC_Factory::create_proxy_pull_supplier ( | TAO_CEC_EventChannel * ec )`[pure virtual]`

| Create and destroy a ProxyPullSupplier. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_ProxyPullSupplier_Collection * TAO_CEC_Factory::create_proxy_pull_supplier_collection ( | TAO_CEC_EventChannel * )`[pure virtual]`

| Create and destroy a collection of TAO_CEC_ProxyPullSuppliers. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_ProxyPushConsumer * TAO_CEC_Factory::create_proxy_push_consumer ( | TAO_CEC_EventChannel * ec )`[pure virtual]`

| Create and destroy a ProxyPushConsumer. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_ProxyPushConsumer_Collection * TAO_CEC_Factory::create_proxy_push_consumer_collection ( | TAO_CEC_EventChannel * )`[pure virtual]`

| Create and destroy a collection of TAO_CEC_ProxyPushConsumers. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_ProxyPushSupplier * TAO_CEC_Factory::create_proxy_push_supplier ( | TAO_CEC_EventChannel * ec )`[pure virtual]`

| Create and destroy a ProxyPushSupplier. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_ProxyPushSupplier_Collection * TAO_CEC_Factory::create_proxy_push_supplier_collection ( | TAO_CEC_EventChannel * )`[pure virtual]`

| Create and destroy a collection of TAO_CEC_ProxyPushSuppliers. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_Pulling_Strategy * TAO_CEC_Factory::create_pulling_strategy ( | TAO_CEC_EventChannel * ec )`[pure virtual]`

| Create and destroy the pulling strategy. Reimplemented in TAO_CEC_Default_Factory.

TAO_CEC_SupplierAdmin * TAO_CEC_Factory::create_supplier_admin ( | TAO_CEC_EventChannel * ec )`[pure virtual]`

| Create and destroy the supplier admin implementation. Reimplemented in TAO_CEC_Default_Factory.

virtual TAO_CEC_SupplierControl* TAO_CEC_Factory::create_supplier_control ( | TAO_CEC_EventChannel * ec )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual ACE_Lock* TAO_CEC_Factory::create_supplier_lock ( | void )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_consumer_admin ( | TAO_CEC_ConsumerAdmin * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_consumer_control ( | TAO_CEC_ConsumerControl * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_consumer_lock ( | ACE_Lock * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_dispatching ( | TAO_CEC_Dispatching * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_proxy_pull_consumer ( | TAO_CEC_ProxyPullConsumer * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_proxy_pull_consumer_collection ( | TAO_CEC_ProxyPullConsumer_Collection * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_proxy_pull_supplier ( | TAO_CEC_ProxyPullSupplier * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_proxy_pull_supplier_collection ( | TAO_CEC_ProxyPullSupplier_Collection * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_proxy_push_consumer ( | TAO_CEC_ProxyPushConsumer * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_proxy_push_consumer_collection ( | TAO_CEC_ProxyPushConsumer_Collection * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_proxy_push_supplier ( | TAO_CEC_ProxyPushSupplier * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_proxy_push_supplier_collection ( | TAO_CEC_ProxyPushSupplier_Collection * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_pulling_strategy ( | TAO_CEC_Pulling_Strategy * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_supplier_admin ( | TAO_CEC_SupplierAdmin * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_supplier_control ( | TAO_CEC_SupplierControl * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

virtual void TAO_CEC_Factory::destroy_supplier_lock ( | ACE_Lock * x )`[pure virtual]`

| Reimplemented in TAO_CEC_Default_Factory.

The documentation for this class was generated from the following files:

- CEC_Factory.h
- CEC_Factory.cpp